package javax.sound.sampled;

import java.io.IOException;

public interface Clip extends DataLine
{
    public static final int LOOP_CONTINUOUSLY = -1;
    
    public abstract void open(AudioFormat p0, byte[] p1, int p2, int p3) throws LineUnavailableException;
    
    public abstract void open(AudioInputStream p0) throws LineUnavailableException, IOException;
    
    public abstract int getFrameLength();
    
    public abstract long getMicrosecondLength();
    
    public abstract void setFramePosition(int p0);
    
    public abstract void setMicrosecondPosition(long p0);
    
    public abstract void setLoopPoints(int p0, int p1);
    
    public abstract void loop(int p0);
}
